---
apiVersion: kubevirt.io/v1
kind: KubeVirt
metadata:
  name: kubevirt
  namespace: kubevirt
spec:
  certificateRotateStrategy: {}
  configuration:
    additionalGuestMemoryOverheadRatio: "2.5"
    developerConfiguration:
      cpuAllocationRatio: 1
      featureGates:
        - Root
        - ExpandDisks
        - CPUManager
        - NUMA
        - GPU
        - ExperimentalIgnitionSupport
        - HostDevices
        - Snapshot
        - VMExport
        - HotplugVolumes
        - HostDisk
        - ExperimentalVirtiofsSupport
        - Macvtap
        - Passt
        - VMPersistentState
        - DisableMDEVConfiguration
        - HotplugNICs
        - HotplugVolumes
        - HypervStrictCheck
        - VMLiveUpdateFeatures
        - MultiArchitecture
        - NetworkBindingPlugins
    #    mediatedDevicesConfiguration:
    #      nodeMediatedDeviceTypes:
    #      - mediatedDeviceTypes:
    #        - nvidia-594
    #        nodeSelector:
    #          kubernetes.io/hostname: node01
    #    permittedHostDevices:
    #      mediatedDevices:
    #      - mdevNameSelector: NVIDIA A10-6Q
    #        resourceName: nvidia.com/NVIDIA_A10-6Q
    migrations:
      parallelMigrationsPerCluster: 10
      parallelOutboundMigrationsPerNode: 4
      bandwidthPerMigration: 128Mi
      completionTimeoutPerGiB: 800
      progressTimeout: 150
      disableTLS: true
  customizeComponents: {}
  imageRegistry: registry.demo.com/kubevirt
  imageTag: v1.1.1
  #imagePullSecrets: []
  #  - name: harbor-secret
  imagePullPolicy: IfNotPresent
  infra:
  workloadUpdateStrategy:
    workloadUpdateMethods:
      - LiveMigrate
      - Evict